Page MenuHomeFreeBSD

lang/retro12: Update to 2018.8
ClosedPublic

Authored by 0mp on Nov 4 2018, 12:20 AM.

Details

Summary

Changes to the port itself:

  • Fix the order of variables.
  • Set USES=shebangfix for the rre interpreter.

I'm the maintainer of this port.

Test Plan
  • poudriere
    • i386
      • 11.2
  • portlint OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Nov 4 2018, 12:20 AM
0mp added a comment.Nov 4 2018, 12:21 AM

I wonder if I should use pkg-plist here as we try to avoid using PORTDOCS and PORTEXAMPLES.

In reply to the pkg-plist question around summary, plist should be in it's own file as it is more than 6 files.

lang/retro12/Makefile
54 ↗(On Diff #49981)

Should be below TEST_TARGET, nothing should be after OPTIONS besides things such as post-install: and similar

krion marked an inline comment as done.Nov 5 2018, 9:09 PM
krion added inline comments.
lang/retro12/Makefile
19 ↗(On Diff #49981)

Where is it used?

krion marked an inline comment as done.Nov 5 2018, 9:18 PM
krion added inline comments.
lang/retro12/Makefile
20 ↗(On Diff #49981)

And why is this needed as well?

mat added inline comments.Nov 10 2018, 10:40 AM
lang/retro12/Makefile
19–20 ↗(On Diff #49981)

Both _OLD_CMD and _CMD are already set correctly when setting SHEBANG_LANG.

0mp marked 2 inline comments as not done.Nov 16 2018, 1:31 PM
0mp updated this revision to Diff 50487.
  • Remove _OLD_CMD and _CMD.
  • Sort variables.
0mp marked 6 inline comments as done.Nov 16 2018, 1:33 PM
0mp added inline comments.
lang/retro12/Makefile
19–20 ↗(On Diff #49981)

Thanks, I didn't know about it.

54 ↗(On Diff #49981)

You are right. Although, I thought for a second that *_TARGET variables should go to the targets' section.

0mp marked 2 inline comments as done.Nov 16 2018, 1:33 PM
mat accepted this revision.Nov 23 2018, 10:30 AM
This revision is now accepted and ready to land.Nov 23 2018, 10:30 AM
This revision was automatically updated to reflect the committed changes.